Debian Bug report logs - #686501
unblock: xfwm4/4.8.3-2

Package: release.debian.org; Maintainer for release.debian.org is Debian Release Team <debian-release@lists.debian.org>;

Reported by: Yves-Alexis Perez <corsac@debian.org>

Date: Sun, 2 Sep 2012 13:15:01 UTC

Owned by: pkg-xfce-devel@lists.alioth.debian.org

Severity: normal

Tags: confirmed

Done: "Adam D. Barratt" <adam@adam-barratt.org.uk>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#686501; Package release.debian.org. (Sun, 02 Sep 2012 13:15:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Yves-Alexis Perez <corsac@debian.org>:
New Bug report received and forwarded. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sun, 02 Sep 2012 13:15:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Yves-Alexis Perez <corsac@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: unblock: xfwm4/4.8.3-2
Date: Sun, 02 Sep 2012 15:13:10 +0200
[Message part 1 (text/plain, inline)]
Package: release.debian.org
Severity: normal
User: release.debian.org@packages.debian.org
Usertags: unblock

Hi,

this is a pre-upload unblock request for xfwm4. It seems that Gtk3
applications might trigger a bad behavior in xfwm, where the window
might “jump” widely on the screen in some cases.

There's an upstream patch against xfwm4 4.10 which has been backported
to 4.8. Could this be allowed in Wheezy? It's not really critical but
it's very annoying in an Xfce desktop with gtk3 applications. The
debdiff is attached.

There are some other change in debian/control (build-dep and standards
versions) which can easily be reverted if needed.

Please unblock package xfwm4

unblock xfwm4/4.8.3-2

-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing'), (500, 'stable')
Architecture: amd64 (x86_64)

Kernel: Linux 3.2.0-4-grsec-amd64 (SMP w/4 CPU cores)
Locale: LANG=fr_FR.UTF-8, LC_CTYPE=fr_FR.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash
[xfwm4_4.8.3-2.diff (text/x-diff, attachment)]

Owner recorded as pkg-xfce-devel@lists.alioth.debian.org. Request was from Yves-Alexis Perez <corsac@debian.org> to control@bugs.debian.org. (Sun, 02 Sep 2012 13:21:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>, pkg-xfce-devel@lists.alioth.debian.org:
Bug#686501; Package release.debian.org. (Sun, 02 Sep 2012 14:09:16 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>, pkg-xfce-devel@lists.alioth.debian.org. (Sun, 02 Sep 2012 14:09:16 GMT) Full text and rfc822 format available.

Message #12 received at 686501@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: Yves-Alexis Perez <corsac@debian.org>, 686501@bugs.debian.org
Subject: Re: Bug#686501: unblock: xfwm4/4.8.3-2
Date: Sun, 02 Sep 2012 15:03:26 +0100
Control: tags -1 + confirmed

On Sun, 2012-09-02 at 15:13 +0200, Yves-Alexis Perez wrote:
> this is a pre-upload unblock request for xfwm4. It seems that Gtk3
> applications might trigger a bad behavior in xfwm, where the window
> might “jump” widely on the screen in some cases.
> 
> There's an upstream patch against xfwm4 4.10 which has been backported
> to 4.8. Could this be allowed in Wheezy? It's not really critical but
> it's very annoying in an Xfce desktop with gtk3 applications. The
> debdiff is attached.
> 
> There are some other change in debian/control (build-dep and standards
> versions) which can easily be reverted if needed.

A version with just the patch would be cleaner, but it looks like the
package is already using dh9 so the build-dep change is arguably a
no-op; please go ahead and let us know once the package has been
accepted.

Regards,

Adam




Added tag(s) confirmed. Request was from "Adam D. Barratt" <adam@adam-barratt.org.uk> to 686501-submit@bugs.debian.org. (Sun, 02 Sep 2012 14:09:16 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>, pkg-xfce-devel@lists.alioth.debian.org:
Bug#686501; Package release.debian.org. (Sun, 02 Sep 2012 14:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Yves-Alexis Perez <corsac@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>, pkg-xfce-devel@lists.alioth.debian.org. (Sun, 02 Sep 2012 14:57:03 GMT) Full text and rfc822 format available.

Message #19 received at 686501@bugs.debian.org (full text, mbox):

From: Yves-Alexis Perez <corsac@debian.org>
To: "Adam D. Barratt" <adam@adam-barratt.org.uk>, 686501@bugs.debian.org
Subject: Re: [Pkg-xfce-devel] Bug#686501: unblock: xfwm4/4.8.3-2
Date: Sun, 02 Sep 2012 16:52:58 +0200
[Message part 1 (text/plain, inline)]
On dim., 2012-09-02 at 15:03 +0100, Adam D. Barratt wrote:
> A version with just the patch would be cleaner, but it looks like the
> package is already using dh9 so the build-dep change is arguably a
> no-op; please go ahead and let us know once the package has been
> accepted. 

Done, with only the patch.

Regards,
-- 
Yves-Alexis
[signature.asc (application/pgp-signature, inline)]

Reply sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
You have taken responsibility. (Sun, 02 Sep 2012 20:33:03 GMT) Full text and rfc822 format available.

Notification sent to Yves-Alexis Perez <corsac@debian.org>:
Bug acknowledged by developer. (Sun, 02 Sep 2012 20:33:03 GMT) Full text and rfc822 format available.

Message #24 received at 686501-done@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: Yves-Alexis Perez <corsac@debian.org>, 686501-done@bugs.debian.org
Subject: Re: Bug#686501: [Pkg-xfce-devel] Bug#686501: unblock: xfwm4/4.8.3-2
Date: Sun, 02 Sep 2012 21:29:09 +0100
On Sun, 2012-09-02 at 16:52 +0200, Yves-Alexis Perez wrote:
> On dim., 2012-09-02 at 15:03 +0100, Adam D. Barratt wrote:
> > A version with just the patch would be cleaner, but it looks like the
> > package is already using dh9 so the build-dep change is arguably a
> > no-op; please go ahead and let us know once the package has been
> > accepted. 
> 
> Done, with only the patch.

Unblocked; thanks.

Regards,

Adam




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 01 Oct 2012 07:25:22 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 23:05:35 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.